Subject: bug#18815: 25.0.50; emacs crash

From: Eli Zaretskii <[email-masked]>
Date: Mon, 27 Oct 2014 21:10:28 +0200

> From: Yagnesh Raghava Yakkala <[email-masked]>
> Cc: [email-masked]
> Date: Tue, 28 Oct 2014 03:36:04 +0900
> 
> > This string comes from column-number-mode.  But if I invoke
> > column-number-mode, I still cannot reproduce the problem, so there's
> > something else at work here.  Can you describe what you do to
> > reproduce the crash?
> 
> Crashes on different tasks. Using magit, some times C-x C-f.  But one reliable
> way was, selecting a url in a buffer with M-x ffap and RET.

So, if you start Emacs, visit a file with URLs, then "M-x ffap RET",
you get a crash, just like that?  Or do you need Emacs to run for some
time before it crashes with ffap?

> (gdb) xstring
> $3 = (struct Lisp_String *) 0x10d7b30
> " (%l,%c)"
> (gdb) frame 3
> #3  0x000000000050f332 in bidi_resolve_neutral (bidi_it=0x7fffffff36a8) at bidi.c:2852
> (gdb) p bidi_it->charpos
> $4 = 7
> (gdb) p bidi_it->next_for_neutral
> $5 = {
>   charpos = 7, 
>   type = STRONG_L, 
>   orig_type = UNKNOWN_BT
> }
> (gdb) p bidi_it->prev_for_neutral
> $6 = {
>   charpos = 6, 
>   type = STRONG_L, 
>   orig_type = STRONG_L
> }
> (gdb) p bidi_it->bracket_pairing_pos
> $7 = -1
> (gdb) p bidi_it->bracket_enclosed_type
> $8 = UNKNOWN_BT
> (gdb) p bidi_cache_idx
> $9 = 3
> (gdb) p bidi_cache_start
> $10 = 2

This means your mode line has some non-trivial setup, and it is most
probably that setup which triggers the problem.  Can you please tell
which modes of those you invoke affect the mode line?  I want to be
able to reproduce this problem on my system, because otherwise I don't
see how I can solve this just by asking you to look around in the
crashed session.

Thanks.